For the complete documentation index, see llms.txt. This page is also available as Markdown.

Output Queue

Manage output queue tasks, retrieve task details, update processing states, and track output results with the VARIO Cloud REST API.

Ausgabe-Warteschlange

post
Path parameters
taskIdinteger · int64Required

ID des Tasks

newStatestring · enumRequired

neuer newState

Possible values:
Body
Responses
200

OK

application/json
objectOptional
post/cmn/output/queue/{taskId}/state/{newState}
POST /cmn/output/queue/{taskId}/state/{newState} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 384

{
  "processingResult": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}
200

OK

{}

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

resourceIdstringRead-onlyOptional

resource id to be printed

filenamestringRead-onlyOptional

filename

subjectstringRead-onlyOptional

short subject

fromAddressstringRead-onlyOptional

(mail) from address

fromNamestring · max: 255Read-onlyOptional

(mail) from name

attachmentReferencesstring[]Read-onlyOptional

(mail) additional file references

statestring · enumRead-onlyOptional

state of the printing task

Possible values:
processingResultstringRead-onlyOptional

Prozessierungs-Ergebnis (für Log)

successfulAttemptsinteger · int64Read-onlyOptional

successfulAttempts

failedAttemptsinteger · int64Read-onlyOptional

failedAttempts

importancestring · enumRead-onlyOptional

Wichtigkeit/Dringlichkeit

Possible values:
outputQuantityinteger · int32 · min: 1Optional

Anzahl der Ausgabe

get/cmn/output/queue/{id}
GET /cmn/output/queue/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "resourceId": "text",
  "filename": "text",
  "subject": "text",
  "outputConsumerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "outputTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "fromAddress": "text",
  "fromName": "text",
  "destinations": [],
  "messages": [],
  "attachmentReferences": [
    "text"
  ],
  "state": "REQUESTED",
  "processingResult": "text",
  "fromUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "successfulAttempts": 1,
  "failedAttempts": 1,
  "ruleResult": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "importance": "LOW",
  "outputQuantity": 1
}

Last updated

Was this helpful?